# /*************************************************************************
# ***  Systm pro TME/TH2E - TMEP                                        ***
# ***  (c) Michal evk - multi@tricker.cz                              ***
# ***  SQL - really simple "db" :-)                                      *** 
# *************************************************************************/

CREATE TABLE `tme` (
  `id` int(11) NOT NULL auto_increment,
  `kdy` datetime default NULL COMMENT 'Den a as.',
  `teplota` float default NULL COMMENT 'Nameen teplota ve stupnch Celsia.',
  `vlhkost` float default NULL COMMENT 'Namen vlhkost.',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

ALTER TABLE `tme` ADD INDEX `kdy` (`kdy`);

CREATE TABLE `tme_cache` (
  `id` int(11) NOT NULL auto_increment,
  `kdy` datetime default NULL COMMENT 'Den a as.',
  `teplota` float default NULL COMMENT 'Nameen teplota ve stupnch Celsia.',
  `vlhkost` float default NULL COMMENT 'Namen vlhkost.',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM;

CREATE TABLE `tme_denni` (
  `id` int(11) NOT NULL auto_increment,
  `den` date NOT NULL COMMENT 'Urit den.',
  `mereni` int(11) NOT NULL COMMENT 'Poet men za den.',
  `nejnizsi` float NULL COMMENT 'Nejni teplota za den.',
  `nejvyssi` float NULL COMMENT 'Nejvy teplota za den.',
  `prumer` float NULL COMMENT 'Prmrn teplota za den.',
  `nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost.',
  `nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost.',
  `prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost.',
  `0mereni` int(11) NULL COMMENT 'Poet men v ase 0-1 hod.',
  `0nejnizsi` float NULL COMMENT 'Nejni teplota  v ase 0-1 hod.',
  `0nejvyssi` float NULL COMMENT 'Nejvy teplota  v ase 0-1 hod.',
  `0prumer` float NULL COMMENT 'Prmrn teplota  v ase 0-1 hod.',
  `0nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 0-1.',
  `0nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 0-1.',
  `0prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 0-1.',
  `1mereni` int(11) NULL COMMENT 'Poet men v ase 1-2 hod.',
  `1nejnizsi` float NULL COMMENT 'Nejni teplota v ase 1-2 hod.',
  `1nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 1-2 hod.',
  `1prumer` float NULL COMMENT 'Prmrn teplota v ase 1-2 hod.',
  `1nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 1-2.',
  `1nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 1-2.',
  `1prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 1-2.',
  `2mereni` int(11) NULL COMMENT 'Poet men v ase 2-3 hod.',
  `2nejnizsi` float NULL COMMENT 'Nejni teplota v ase 2-3 hod.',
  `2nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 2-3 hod.',
  `2prumer` float NULL COMMENT 'Prmrn teplota v ase 2-3 hod.',
  `2nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 2-3.',
  `2nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 2-3.',
  `2prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 2-3.',
  `3mereni` int(11) NULL COMMENT 'Poet men v ase 3-4 hod.',
  `3nejnizsi` float NULL COMMENT 'Nejni teplota v ase 3-4 hod.',
  `3nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 3-4 hod.',
  `3prumer` float NULL COMMENT 'Prmrn teplota v ase 3-4 hod.',
  `3nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 3-4.',
  `3nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 3-4.',
  `3prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 3-4.',
  `4mereni` int(11) NULL COMMENT 'Poet men v ase 4-5 hod.',
  `4nejnizsi` float NULL COMMENT 'Nejni teplota v ase 4-5 hod.',
  `4nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 4-5 hod.',
  `4prumer` float NULL COMMENT 'Prmrn teplota v ase 4-5 hod.',
  `4nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 4-5.',
  `4nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 4-5.',
  `4prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 4-5.',
  `5mereni` int(11) NULL COMMENT 'Poet men v ase 5-6 hod.',
  `5nejnizsi` float NULL COMMENT 'Nejni teplota v ase 5-6 hod.',
  `5nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 5-6 hod.',
  `5prumer` float NULL COMMENT 'Prmrn teplota v ase 5-6 hod.',
  `5nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 5-6.',
  `5nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 5-6.',
  `5prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 5-6.',
  `6mereni` int(11) NULL COMMENT 'Poet men v ase 6-7 hod.',
  `6nejnizsi` float NULL COMMENT 'Nejni teplota v ase 6-7 hod.',
  `6nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 6-7 hod.',
  `6prumer` float NULL COMMENT 'Prmrn teplota v ase 6-7 hod.',
  `6nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 6-7.',
  `6nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 6-7.',
  `6prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 6-7.',
  `7mereni` int(11) NULL COMMENT 'Poet men v ase 7-8 hod.',
  `7nejnizsi` float NULL COMMENT 'Nejni teplota v ase 7-8 hod.',
  `7nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 7-8 hod.',
  `7prumer` float NULL COMMENT 'Prmrn teplota v ase 7-8 hod.',
  `7nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 7-8.',
  `7nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 7-8.',
  `7prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 7-8.',
  `8mereni` int(11) NULL COMMENT 'Poet men v ase 8-9 hod.',
  `8nejnizsi` float NULL COMMENT 'Nejni teplota v ase 8-9 hod.',
  `8nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 8-9 hod.',
  `8prumer` float NULL COMMENT 'Prmrn teplota v ase 8-9 hod.',
  `8nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 8-9.',
  `8nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 8-9.',
  `8prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 8-9.',
  `9mereni` int(11) NULL COMMENT 'Poet men v ase 9-10 hod.',
  `9nejnizsi` float NULL COMMENT 'Nejni teplota v ase 9-10 hod.',
  `9nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 9-10 hod.',
  `9prumer` float NULL COMMENT 'Prmrn teplota v ase 9-10 hod.',
  `9nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 9-10.',
  `9nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 9-10.',
  `9prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 9-10.',
  `10mereni` int(11) NULL COMMENT 'Poet men v ase 10-11 hod.',
  `10nejnizsi` float NULL COMMENT 'Nejni teplota v ase 10-11 hod.',
  `10nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 10-11 hod.',
  `10prumer` float NULL COMMENT 'Prmrn teplota v ase 10-11 hod.',
  `10nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 10-11.',
  `10nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 10-11.',
  `10prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 10-11.',
  `11mereni` int(11) NULL COMMENT 'Poet men v ase 11-12 hod.',
  `11nejnizsi` float NULL COMMENT 'Nejni teplota v ase 11-12 hod.',
  `11nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 11-12 hod.',
  `11prumer` float NULL COMMENT 'Prmrn teplota v ase 11-12 hod.',
  `11nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 11-12.',
  `11nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 11-12.',
  `11prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 11-12.',
  `12mereni` int(11) NULL COMMENT 'Poet men v ase 12-13 hod.',
  `12nejnizsi` float NULL COMMENT 'Nejni teplota v ase 12-13 hod.',
  `12nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 12-13 hod.',
  `12prumer` float NULL COMMENT 'Prmrn teplota v ase 12-13 hod.',
  `12nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 12-13.',
  `12nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 12-13.',
  `12prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 12-13.',
  `13mereni` int(11) NULL COMMENT 'Poet men v ase 13-14 hod.',
  `13nejnizsi` float NULL COMMENT 'Nejni teplota v ase 13-14 hod.',
  `13nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 13-14 hod.',
  `13prumer` float NULL COMMENT 'Prmrn teplota v ase 13-14 hod.',
  `13nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 13-14.',
  `13nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 13-14.',
  `13prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 13-14.',
  `14mereni` int(11) NULL COMMENT 'Poet men v ase 14-15 hod.',
  `14nejnizsi` float NULL COMMENT 'Nejni teplota v ase 14-15 hod.',
  `14nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 14-15 hod.',
  `14prumer` float NULL COMMENT 'Prmrn teplota v ase 14-15 hod.',
  `14nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 14-15.',
  `14nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 14-15.',
  `14prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 14-15.',
  `15mereni` int(11) NULL COMMENT 'Poet men v ase 15-16 hod.',
  `15nejnizsi` float NULL COMMENT 'Nejni teplota v ase 15-16 hod.',
  `15nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 15-16 hod.',
  `15prumer` float NULL COMMENT 'Prmrn teplota v ase 15-16 hod.',
  `15nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 15-16.',
  `15nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 15-16.',
  `15prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 15-16.',
  `16mereni` int(11) NULL COMMENT 'Poet men v ase 16-17 hod.',
  `16nejnizsi` float NULL COMMENT 'Nejni teplota v ase 16-17 hod.',
  `16nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 16-17 hod.',
  `16prumer` float NULL COMMENT 'Prmrn teplota v ase 16-17 hod.',
  `16nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 16-17.',
  `16nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 16-17.',
  `16prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 16-17.',
  `17mereni` int(11) NULL COMMENT 'Poet men v ase 17-18 hod.',
  `17nejnizsi` float NULL COMMENT 'Nejni teplota v ase 17-18 hod.',
  `17nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 17-18 hod.',
  `17prumer` float NULL COMMENT 'Prmrn teplota v ase 17-18 hod.',
  `17nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 17-18.',
  `17nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 17-18.',
  `17prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 17-18.',
  `18mereni` int(11) NULL COMMENT 'Poet men v ase 18-19 hod.',
  `18nejnizsi` float NULL COMMENT 'Nejni teplota v ase 18-19 hod.',
  `18nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 18-19 hod.',
  `18prumer` float NULL COMMENT 'Prmrn teplota v ase 18-19 hod.',
  `18nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 18-19.',
  `18nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 18-19.',
  `18prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 18-19.',
  `19mereni` int(11) NULL COMMENT 'Poet men v ase 19-20 hod.',
  `19nejnizsi` float NULL COMMENT 'Nejni teplota v ase 19-20 hod.',
  `19nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 19-20 hod.',
  `19prumer` float NULL COMMENT 'Prmrn teplota v ase 19-20 hod.',
  `19nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 19-20.',
  `19nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 19-20.',
  `19prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 19-20.',
  `20mereni` int(11) NULL COMMENT 'Poet men v ase 20-21 hod.',
  `20nejnizsi` float NULL COMMENT 'Nejni teplota v ase 20-21 hod.',
  `20nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 20-21 hod.',
  `20prumer` float NULL COMMENT 'Prmrn teplota v ase 20-21 hod.',
  `20nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 20-21.',
  `20nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 20-21.',
  `20prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 20-21.',
  `21mereni` int(11) NULL COMMENT 'Poet men v ase 21-22 hod.',
  `21nejnizsi` float NULL COMMENT 'Nejni teplota v ase 21-22 hod.',
  `21nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 21-22 hod.',
  `21prumer` float NULL COMMENT 'Prmrn teplota v ase 21-22 hod.',
  `21nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 21-22.',
  `21nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 21-22.',
  `21prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 21-22.',
  `22mereni` int(11) NULL COMMENT 'Poet men v ase 22-23 hod.',
  `22nejnizsi` float NULL COMMENT 'Nejni teplota v ase 22-23 hod.',
  `22nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 22-23 hod.',
  `22prumer` float NULL COMMENT 'Prmrn teplota v ase 22-23 hod.',
  `22nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 22-23.',
  `22nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 22-23.',
  `22prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 22-23.',
  `23mereni` int(11) NULL COMMENT 'Poet men v ase 23-24 hod.',
  `23nejnizsi` float NULL COMMENT 'Nejni teplota v ase 23-24 hod.',
  `23nejvyssi` float NULL COMMENT 'Nejvy teplota v ase 23-24 hod.',
  `23prumer` float NULL COMMENT 'Prmrn teplota v ase 23-24 hod.',
  `23nejnizsi_vlhkost` float NULL COMMENT 'Nejni vlhkost v ase 23-24.',
  `23nejvyssi_vlhkost` float NULL COMMENT 'Nejvy vlhkost 23-24.',
  `23prumer_vlhkost` float NULL COMMENT 'Prmrn vlhkost 23-24.',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `den` (`den`),
  KEY `den_2` (`den`)
) ENGINE=MyISAM;